// regular expressions are good for you ;)

#ifndef APIENTRY
#define APIENTRY
#endif

#define GLFN_DECLARE(ret,name,param) \
typedef ret (APIENTRY __type_p##name)param; \
__type_p##name *p##name;

#define GLFN_GPA(name) \
	p##name = (__type_p##name *)GPA(#name)

GLFN_DECLARE(void,glAccum,(GLenum op, GLfloat value))
GLFN_DECLARE(void,glAlphaFunc,(GLenum func, GLclampf ref))
GLFN_DECLARE(GLboolean,glAreTexturesResident,(GLsizei n, const GLuint *textures, GLboolean *residences))
GLFN_DECLARE(void,glArrayElement,(GLint i))
GLFN_DECLARE(void,glBegin,(GLenum mode))
GLFN_DECLARE(void,glBindTexture,(GLenum target, GLuint texture))
GLFN_DECLARE(void,glBitmap,(GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte *bitmap))
GLFN_DECLARE(void,glBlendFunc,(GLenum sfactor, GLenum dfactor))
GLFN_DECLARE(void,glCallList,(GLuint list))
GLFN_DECLARE(void,glCallLists,(GLsizei n, GLenum type, const GLvoid *lists))
GLFN_DECLARE(void,glClear,(GLbitfield mask))
GLFN_DECLARE(void,glClearAccum,(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha))
GLFN_DECLARE(void,glClearColor,(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha))
GLFN_DECLARE(void,glClearDepth,(GLclampd depth))
GLFN_DECLARE(void,glClearIndex,(GLfloat c))
GLFN_DECLARE(void,glClearStencil,(GLint s))
GLFN_DECLARE(void,glClipPlane,(GLenum plane, const GLdouble *equation))
GLFN_DECLARE(void,glColor3b,(GLbyte red, GLbyte green, GLbyte blue))
GLFN_DECLARE(void,glColor3bv,(const GLbyte *v))
GLFN_DECLARE(void,glColor3d,(GLdouble red, GLdouble green, GLdouble blue))
GLFN_DECLARE(void,glColor3dv,(const GLdouble *v))
GLFN_DECLARE(void,glColor3f,(GLfloat red, GLfloat green, GLfloat blue))
GLFN_DECLARE(void,glColor3fv,(const GLfloat *v))
GLFN_DECLARE(void,glColor3i,(GLint red, GLint green, GLint blue))
GLFN_DECLARE(void,glColor3iv,(const GLint *v))
GLFN_DECLARE(void,glColor3s,(GLshort red, GLshort green, GLshort blue))
GLFN_DECLARE(void,glColor3sv,(const GLshort *v))
GLFN_DECLARE(void,glColor3ub,(GLubyte red, GLubyte green, GLubyte blue))
GLFN_DECLARE(void,glColor3ubv,(const GLubyte *v))
GLFN_DECLARE(void,glColor3ui,(GLuint red, GLuint green, GLuint blue))
GLFN_DECLARE(void,glColor3uiv,(const GLuint *v))
GLFN_DECLARE(void,glColor3us,(GLushort red, GLushort green, GLushort blue))
GLFN_DECLARE(void,glColor3usv,(const GLushort *v))
GLFN_DECLARE(void,glColor4b,(GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha))
GLFN_DECLARE(void,glColor4bv,(const GLbyte *v))
GLFN_DECLARE(void,glColor4d,(GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha))
GLFN_DECLARE(void,glColor4dv,(const GLdouble *v))
GLFN_DECLARE(void,glColor4f,(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha))
GLFN_DECLARE(void,glColor4fv,(const GLfloat *v))
GLFN_DECLARE(void,glColor4i,(GLint red, GLint green, GLint blue, GLint alpha))
GLFN_DECLARE(void,glColor4iv,(const GLint *v))
GLFN_DECLARE(void,glColor4s,(GLshort red, GLshort green, GLshort blue, GLshort alpha))
GLFN_DECLARE(void,glColor4sv,(const GLshort *v))
GLFN_DECLARE(void,glColor4ub,(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha))
GLFN_DECLARE(void,glColor4ubv,(const GLubyte *v))
GLFN_DECLARE(void,glColor4ui,(GLuint red, GLuint green, GLuint blue, GLuint alpha))
GLFN_DECLARE(void,glColor4uiv,(const GLuint *v))
GLFN_DECLARE(void,glColor4us,(GLushort red, GLushort green, GLushort blue, GLushort alpha))
GLFN_DECLARE(void,glColor4usv,(const GLushort *v))
GLFN_DECLARE(void,glColorMask,(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha))
GLFN_DECLARE(void,glColorMaterial,(GLenum face, GLenum mode))
GLFN_DECLARE(void,glColorPointer,(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer))
GLFN_DECLARE(void,glCopyPixels,(GLint x, GLint y, GLsizei width, GLsizei height, GLenum type))
GLFN_DECLARE(void,glCopyTexImage1D,(GLenum target, GLint level, GLenum internalFormat, GLint x, GLint y, GLsizei width, GLint border))
GLFN_DECLARE(void,glCopyTexImage2D,(GLenum target, GLint level, GLenum internalFormat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border))
GLFN_DECLARE(void,glCopyTexSubImage1D,(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width))
GLFN_DECLARE(void,glCopyTexSubImage2D,(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height))
GLFN_DECLARE(void,glCullFace,(GLenum mode))
GLFN_DECLARE(void,glDeleteLists,(GLuint list, GLsizei range))
GLFN_DECLARE(void,glDeleteTextures,(GLsizei n, const GLuint *textures))
GLFN_DECLARE(void,glDepthFunc,(GLenum func))
GLFN_DECLARE(void,glDepthMask,(GLboolean flag))
GLFN_DECLARE(void,glDepthRange,(GLclampd zNear, GLclampd zFar))
GLFN_DECLARE(void,glDisable,(GLenum cap))
GLFN_DECLARE(void,glDisableClientState,(GLenum array))
GLFN_DECLARE(void,glDrawArrays,(GLenum mode, GLint first, GLsizei count))
GLFN_DECLARE(void,glDrawBuffer,(GLenum mode))
GLFN_DECLARE(void,glDrawElements,(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices))
GLFN_DECLARE(void,glDrawPixels,(GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels))
GLFN_DECLARE(void,glEdgeFlag,(GLboolean flag))
GLFN_DECLARE(void,glEdgeFlagPointer,(GLsizei stride, const GLvoid *pointer))
GLFN_DECLARE(void,glEdgeFlagv,(const GLboolean *flag))
GLFN_DECLARE(void,glEnable,(GLenum cap))
GLFN_DECLARE(void,glEnableClientState,(GLenum array))
GLFN_DECLARE(void,glEnd,(void))
GLFN_DECLARE(void,glEndList,(void))
GLFN_DECLARE(void,glEvalCoord1d,(GLdouble u))
GLFN_DECLARE(void,glEvalCoord1dv,(const GLdouble *u))
GLFN_DECLARE(void,glEvalCoord1f,(GLfloat u))
GLFN_DECLARE(void,glEvalCoord1fv,(const GLfloat *u))
GLFN_DECLARE(void,glEvalCoord2d,(GLdouble u, GLdouble v))
GLFN_DECLARE(void,glEvalCoord2dv,(const GLdouble *u))
GLFN_DECLARE(void,glEvalCoord2f,(GLfloat u, GLfloat v))
GLFN_DECLARE(void,glEvalCoord2fv,(const GLfloat *u))
GLFN_DECLARE(void,glEvalMesh1,(GLenum mode, GLint i1, GLint i2))
GLFN_DECLARE(void,glEvalMesh2,(GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2))
GLFN_DECLARE(void,glEvalPoint1,(GLint i))
GLFN_DECLARE(void,glEvalPoint2,(GLint i, GLint j))
GLFN_DECLARE(void,glFeedbackBuffer,(GLsizei size, GLenum type, GLfloat *buffer))
GLFN_DECLARE(void,glFinish,(void))
GLFN_DECLARE(void,glFlush,(void))
GLFN_DECLARE(void,glFogf,(GLenum pname, GLfloat param))
GLFN_DECLARE(void,glFogfv,(GLenum pname, const GLfloat *params))
GLFN_DECLARE(void,glFogi,(GLenum pname, GLint param))
GLFN_DECLARE(void,glFogiv,(GLenum pname, const GLint *params))
GLFN_DECLARE(void,glFrontFace,(GLenum mode))
GLFN_DECLARE(void,glFrustum,(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar))
GLFN_DECLARE(GLuint,glGenLists,(GLsizei range))
GLFN_DECLARE(void,glGenTextures,(GLsizei n, GLuint *textures))
GLFN_DECLARE(void,glGetBooleanv,(GLenum pname, GLboolean *params))
GLFN_DECLARE(void,glGetClipPlane,(GLenum plane, GLdouble *equation))
GLFN_DECLARE(void,glGetDoublev,(GLenum pname, GLdouble *params))
GLFN_DECLARE(GLenum,glGetError,(void))
GLFN_DECLARE(void,glGetFloatv,(GLenum pname, GLfloat *params))
GLFN_DECLARE(void,glGetIntegerv,(GLenum pname, GLint *params))
GLFN_DECLARE(void,glGetLightfv,(GLenum light, GLenum pname, GLfloat *params))
GLFN_DECLARE(void,glGetLightiv,(GLenum light, GLenum pname, GLint *params))
GLFN_DECLARE(void,glGetMapdv,(GLenum target, GLenum query, GLdouble *v))
GLFN_DECLARE(void,glGetMapfv,(GLenum target, GLenum query, GLfloat *v))
GLFN_DECLARE(void,glGetMapiv,(GLenum target, GLenum query, GLint *v))
GLFN_DECLARE(void,glGetMaterialfv,(GLenum face, GLenum pname, GLfloat *params))
GLFN_DECLARE(void,glGetMaterialiv,(GLenum face, GLenum pname, GLint *params))
GLFN_DECLARE(void,glGetPixelMapfv,(GLenum map, GLfloat *values))
GLFN_DECLARE(void,glGetPixelMapuiv,(GLenum map, GLuint *values))
GLFN_DECLARE(void,glGetPixelMapusv,(GLenum map, GLushort *values))
GLFN_DECLARE(void,glGetPointerv,(GLenum pname, GLvoid* *params))
GLFN_DECLARE(void,glGetPolygonStipple,(GLubyte *mask))
GLFN_DECLARE(const char *,glGetString,(GLenum name))
GLFN_DECLARE(void,glGetTexEnvfv,(GLenum target, GLenum pname, GLfloat *params))
GLFN_DECLARE(void,glGetTexEnviv,(GLenum target, GLenum pname, GLint *params))
GLFN_DECLARE(void,glGetTexGendv,(GLenum coord, GLenum pname, GLdouble *params))
GLFN_DECLARE(void,glGetTexGenfv,(GLenum coord, GLenum pname, GLfloat *params))
GLFN_DECLARE(void,glGetTexGeniv,(GLenum coord, GLenum pname, GLint *params))
GLFN_DECLARE(void,glGetTexImage,(GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels))
GLFN_DECLARE(void,glGetTexLevelParameterfv,(GLenum target, GLint level, GLenum pname, GLfloat *params))
GLFN_DECLARE(void,glGetTexLevelParameteriv,(GLenum target, GLint level, GLenum pname, GLint *params))
GLFN_DECLARE(void,glGetTexParameterfv,(GLenum target, GLenum pname, GLfloat *params))
GLFN_DECLARE(void,glGetTexParameteriv,(GLenum target, GLenum pname, GLint *params))
GLFN_DECLARE(void,glHint,(GLenum target, GLenum mode))
GLFN_DECLARE(void,glIndexMask,(GLuint mask))
GLFN_DECLARE(void,glIndexPointer,(GLenum type, GLsizei stride, const GLvoid *pointer))
GLFN_DECLARE(void,glIndexd,(GLdouble c))
GLFN_DECLARE(void,glIndexdv,(const GLdouble *c))
GLFN_DECLARE(void,glIndexf,(GLfloat c))
GLFN_DECLARE(void,glIndexfv,(const GLfloat *c))
GLFN_DECLARE(void,glIndexi,(GLint c))
GLFN_DECLARE(void,glIndexiv,(const GLint *c))
GLFN_DECLARE(void,glIndexs,(GLshort c))
GLFN_DECLARE(void,glIndexsv,(const GLshort *c))
GLFN_DECLARE(void,glIndexub,(GLubyte c))
GLFN_DECLARE(void,glIndexubv,(const GLubyte *c))
GLFN_DECLARE(void,glInitNames,(void))
GLFN_DECLARE(void,glInterleavedArrays,(GLenum format, GLsizei stride, const GLvoid *pointer))
GLFN_DECLARE(GLboolean,glIsEnabled,(GLenum cap))
GLFN_DECLARE(GLboolean,glIsList,(GLuint list))
GLFN_DECLARE(GLboolean,glIsTexture,(GLuint texture))
GLFN_DECLARE(void,glLightModelf,(GLenum pname, GLfloat param))
GLFN_DECLARE(void,glLightModelfv,(GLenum pname, const GLfloat *params))
GLFN_DECLARE(void,glLightModeli,(GLenum pname, GLint param))
GLFN_DECLARE(void,glLightModeliv,(GLenum pname, const GLint *params))
GLFN_DECLARE(void,glLightf,(GLenum light, GLenum pname, GLfloat param))
GLFN_DECLARE(void,glLightfv,(GLenum light, GLenum pname, const GLfloat *params))
GLFN_DECLARE(void,glLighti,(GLenum light, GLenum pname, GLint param))
GLFN_DECLARE(void,glLightiv,(GLenum light, GLenum pname, const GLint *params))
GLFN_DECLARE(void,glLineStipple,(GLint factor, GLushort pattern))
GLFN_DECLARE(void,glLineWidth,(GLfloat width))
GLFN_DECLARE(void,glListBase,(GLuint base))
GLFN_DECLARE(void,glLoadIdentity,(void))
GLFN_DECLARE(void,glLoadMatrixd,(const GLdouble *m))
GLFN_DECLARE(void,glLoadMatrixf,(const GLfloat *m))
GLFN_DECLARE(void,glLoadName,(GLuint name))
GLFN_DECLARE(void,glLogicOp,(GLenum opcode))
GLFN_DECLARE(void,glMap1d,(GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble *points))
GLFN_DECLARE(void,glMap1f,(GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat *points))
GLFN_DECLARE(void,glMap2d,(GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble *points))
GLFN_DECLARE(void,glMap2f,(GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat *points))
GLFN_DECLARE(void,glMapGrid1d,(GLint un, GLdouble u1, GLdouble u2))
GLFN_DECLARE(void,glMapGrid1f,(GLint un, GLfloat u1, GLfloat u2))
GLFN_DECLARE(void,glMapGrid2d,(GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2))
GLFN_DECLARE(void,glMapGrid2f,(GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2))
GLFN_DECLARE(void,glMaterialf,(GLenum face, GLenum pname, GLfloat param))
GLFN_DECLARE(void,glMaterialfv,(GLenum face, GLenum pname, const GLfloat *params))
GLFN_DECLARE(void,glMateriali,(GLenum face, GLenum pname, GLint param))
GLFN_DECLARE(void,glMaterialiv,(GLenum face, GLenum pname, const GLint *params))
GLFN_DECLARE(void,glMatrixMode,(GLenum mode))
GLFN_DECLARE(void,glMultMatrixd,(const GLdouble *m))
GLFN_DECLARE(void,glMultMatrixf,(const GLfloat *m))
GLFN_DECLARE(void,glNewList,(GLuint list, GLenum mode))
GLFN_DECLARE(void,glNormal3b,(GLbyte nx, GLbyte ny, GLbyte nz))
GLFN_DECLARE(void,glNormal3bv,(const GLbyte *v))
GLFN_DECLARE(void,glNormal3d,(GLdouble nx, GLdouble ny, GLdouble nz))
GLFN_DECLARE(void,glNormal3dv,(const GLdouble *v))
GLFN_DECLARE(void,glNormal3f,(GLfloat nx, GLfloat ny, GLfloat nz))
GLFN_DECLARE(void,glNormal3fv,(const GLfloat *v))
GLFN_DECLARE(void,glNormal3i,(GLint nx, GLint ny, GLint nz))
GLFN_DECLARE(void,glNormal3iv,(const GLint *v))
GLFN_DECLARE(void,glNormal3s,(GLshort nx, GLshort ny, GLshort nz))
GLFN_DECLARE(void,glNormal3sv,(const GLshort *v))
GLFN_DECLARE(void,glNormalPointer,(GLenum type, GLsizei stride, const GLvoid *pointer))
GLFN_DECLARE(void,glOrtho,(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar))
GLFN_DECLARE(void,glPassThrough,(GLfloat token))
GLFN_DECLARE(void,glPixelMapfv,(GLenum map, GLsizei mapsize, const GLfloat *values))
GLFN_DECLARE(void,glPixelMapuiv,(GLenum map, GLsizei mapsize, const GLuint *values))
GLFN_DECLARE(void,glPixelMapusv,(GLenum map, GLsizei mapsize, const GLushort *values))
GLFN_DECLARE(void,glPixelStoref,(GLenum pname, GLfloat param))
GLFN_DECLARE(void,glPixelStorei,(GLenum pname, GLint param))
GLFN_DECLARE(void,glPixelTransferf,(GLenum pname, GLfloat param))
GLFN_DECLARE(void,glPixelTransferi,(GLenum pname, GLint param))
GLFN_DECLARE(void,glPixelZoom,(GLfloat xfactor, GLfloat yfactor))
GLFN_DECLARE(void,glPointSize,(GLfloat size))
GLFN_DECLARE(void,glPolygonMode,(GLenum face, GLenum mode))
GLFN_DECLARE(void,glPolygonOffset,(GLfloat factor, GLfloat units))
GLFN_DECLARE(void,glPolygonStipple,(const GLubyte *mask))
GLFN_DECLARE(void,glPopAttrib,(void))
GLFN_DECLARE(void,glPopClientAttrib,(void))
GLFN_DECLARE(void,glPopMatrix,(void))
GLFN_DECLARE(void,glPopName,(void))
GLFN_DECLARE(void,glPrioritizeTextures,(GLsizei n, const GLuint *textures, const GLclampf *priorities))
GLFN_DECLARE(void,glPushAttrib,(GLbitfield mask))
GLFN_DECLARE(void,glPushClientAttrib,(GLbitfield mask))
GLFN_DECLARE(void,glPushMatrix,(void))
GLFN_DECLARE(void,glPushName,(GLuint name))
GLFN_DECLARE(void,glRasterPos2d,(GLdouble x, GLdouble y))
GLFN_DECLARE(void,glRasterPos2dv,(const GLdouble *v))
GLFN_DECLARE(void,glRasterPos2f,(GLfloat x, GLfloat y))
GLFN_DECLARE(void,glRasterPos2fv,(const GLfloat *v))
GLFN_DECLARE(void,glRasterPos2i,(GLint x, GLint y))
GLFN_DECLARE(void,glRasterPos2iv,(const GLint *v))
GLFN_DECLARE(void,glRasterPos2s,(GLshort x, GLshort y))
GLFN_DECLARE(void,glRasterPos2sv,(const GLshort *v))
GLFN_DECLARE(void,glRasterPos3d,(GLdouble x, GLdouble y, GLdouble z))
GLFN_DECLARE(void,glRasterPos3dv,(const GLdouble *v))
GLFN_DECLARE(void,glRasterPos3f,(GLfloat x, GLfloat y, GLfloat z))
GLFN_DECLARE(void,glRasterPos3fv,(const GLfloat *v))
GLFN_DECLARE(void,glRasterPos3i,(GLint x, GLint y, GLint z))
GLFN_DECLARE(void,glRasterPos3iv,(const GLint *v))
GLFN_DECLARE(void,glRasterPos3s,(GLshort x, GLshort y, GLshort z))
GLFN_DECLARE(void,glRasterPos3sv,(const GLshort *v))
GLFN_DECLARE(void,glRasterPos4d,(GLdouble x, GLdouble y, GLdouble z, GLdouble w))
GLFN_DECLARE(void,glRasterPos4dv,(const GLdouble *v))
GLFN_DECLARE(void,glRasterPos4f,(GLfloat x, GLfloat y, GLfloat z, GLfloat w))
GLFN_DECLARE(void,glRasterPos4fv,(const GLfloat *v))
GLFN_DECLARE(void,glRasterPos4i,(GLint x, GLint y, GLint z, GLint w))
GLFN_DECLARE(void,glRasterPos4iv,(const GLint *v))
GLFN_DECLARE(void,glRasterPos4s,(GLshort x, GLshort y, GLshort z, GLshort w))
GLFN_DECLARE(void,glRasterPos4sv,(const GLshort *v))
GLFN_DECLARE(void,glReadBuffer,(GLenum mode))
GLFN_DECLARE(void,glReadPixels,(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid *pixels))
GLFN_DECLARE(void,glRectd,(GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2))
GLFN_DECLARE(void,glRectdv,(const GLdouble *v1, const GLdouble *v2))
GLFN_DECLARE(void,glRectf,(GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2))
GLFN_DECLARE(void,glRectfv,(const GLfloat *v1, const GLfloat *v2))
GLFN_DECLARE(void,glRecti,(GLint x1, GLint y1, GLint x2, GLint y2))
GLFN_DECLARE(void,glRectiv,(const GLint *v1, const GLint *v2))
GLFN_DECLARE(void,glRects,(GLshort x1, GLshort y1, GLshort x2, GLshort y2))
GLFN_DECLARE(void,glRectsv,(const GLshort *v1, const GLshort *v2))
GLFN_DECLARE(GLint,glRenderMode,(GLenum mode))
GLFN_DECLARE(void,glRotated,(GLdouble angle, GLdouble x, GLdouble y, GLdouble z))
GLFN_DECLARE(void,glRotatef,(GLfloat angle, GLfloat x, GLfloat y, GLfloat z))
GLFN_DECLARE(void,glScaled,(GLdouble x, GLdouble y, GLdouble z))
GLFN_DECLARE(void,glScalef,(GLfloat x, GLfloat y, GLfloat z))
GLFN_DECLARE(void,glScissor,(GLint x, GLint y, GLsizei width, GLsizei height))
GLFN_DECLARE(void,glSelectBuffer,(GLsizei size, GLuint *buffer))
GLFN_DECLARE(void,glShadeModel,(GLenum mode))
GLFN_DECLARE(void,glStencilFunc,(GLenum func, GLint ref, GLuint mask))
GLFN_DECLARE(void,glStencilMask,(GLuint mask))
GLFN_DECLARE(void,glStencilOp,(GLenum fail, GLenum zfail, GLenum zpass))
GLFN_DECLARE(void,glTexCoord1d,(GLdouble s))
GLFN_DECLARE(void,glTexCoord1dv,(const GLdouble *v))
GLFN_DECLARE(void,glTexCoord1f,(GLfloat s))
GLFN_DECLARE(void,glTexCoord1fv,(const GLfloat *v))
GLFN_DECLARE(void,glTexCoord1i,(GLint s))
GLFN_DECLARE(void,glTexCoord1iv,(const GLint *v))
GLFN_DECLARE(void,glTexCoord1s,(GLshort s))
GLFN_DECLARE(void,glTexCoord1sv,(const GLshort *v))
GLFN_DECLARE(void,glTexCoord2d,(GLdouble s, GLdouble t))
GLFN_DECLARE(void,glTexCoord2dv,(const GLdouble *v))
GLFN_DECLARE(void,glTexCoord2f,(GLfloat s, GLfloat t))
GLFN_DECLARE(void,glTexCoord2fv,(const GLfloat *v))
GLFN_DECLARE(void,glTexCoord2i,(GLint s, GLint t))
GLFN_DECLARE(void,glTexCoord2iv,(const GLint *v))
GLFN_DECLARE(void,glTexCoord2s,(GLshort s, GLshort t))
GLFN_DECLARE(void,glTexCoord2sv,(const GLshort *v))
GLFN_DECLARE(void,glTexCoord3d,(GLdouble s, GLdouble t, GLdouble r))
GLFN_DECLARE(void,glTexCoord3dv,(const GLdouble *v))
GLFN_DECLARE(void,glTexCoord3f,(GLfloat s, GLfloat t, GLfloat r))
GLFN_DECLARE(void,glTexCoord3fv,(const GLfloat *v))
GLFN_DECLARE(void,glTexCoord3i,(GLint s, GLint t, GLint r))
GLFN_DECLARE(void,glTexCoord3iv,(const GLint *v))
GLFN_DECLARE(void,glTexCoord3s,(GLshort s, GLshort t, GLshort r))
GLFN_DECLARE(void,glTexCoord3sv,(const GLshort *v))
GLFN_DECLARE(void,glTexCoord4d,(GLdouble s, GLdouble t, GLdouble r, GLdouble q))
GLFN_DECLARE(void,glTexCoord4dv,(const GLdouble *v))
GLFN_DECLARE(void,glTexCoord4f,(GLfloat s, GLfloat t, GLfloat r, GLfloat q))
GLFN_DECLARE(void,glTexCoord4fv,(const GLfloat *v))
GLFN_DECLARE(void,glTexCoord4i,(GLint s, GLint t, GLint r, GLint q))
GLFN_DECLARE(void,glTexCoord4iv,(const GLint *v))
GLFN_DECLARE(void,glTexCoord4s,(GLshort s, GLshort t, GLshort r, GLshort q))
GLFN_DECLARE(void,glTexCoord4sv,(const GLshort *v))
GLFN_DECLARE(void,glTexCoordPointer,(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer))
GLFN_DECLARE(void,glTexEnvf,(GLenum target, GLenum pname, GLfloat param))
GLFN_DECLARE(void,glTexEnvfv,(GLenum target, GLenum pname, const GLfloat *params))
GLFN_DECLARE(void,glTexEnvi,(GLenum target, GLenum pname, GLint param))
GLFN_DECLARE(void,glTexEnviv,(GLenum target, GLenum pname, const GLint *params))
GLFN_DECLARE(void,glTexGend,(GLenum coord, GLenum pname, GLdouble param))
GLFN_DECLARE(void,glTexGendv,(GLenum coord, GLenum pname, const GLdouble *params))
GLFN_DECLARE(void,glTexGenf,(GLenum coord, GLenum pname, GLfloat param))
GLFN_DECLARE(void,glTexGenfv,(GLenum coord, GLenum pname, const GLfloat *params))
GLFN_DECLARE(void,glTexGeni,(GLenum coord, GLenum pname, GLint param))
GLFN_DECLARE(void,glTexGeniv,(GLenum coord, GLenum pname, const GLint *params))
GLFN_DECLARE(void,glTexImage1D,(GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *pixels))
GLFN_DECLARE(void,glTexImage2D,(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels))
GLFN_DECLARE(void,glTexParameterf,(GLenum target, GLenum pname, GLfloat param))
GLFN_DECLARE(void,glTexParameterfv,(GLenum target, GLenum pname, const GLfloat *params))
GLFN_DECLARE(void,glTexParameteri,(GLenum target, GLenum pname, GLint param))
GLFN_DECLARE(void,glTexParameteriv,(GLenum target, GLenum pname, const GLint *params))
GLFN_DECLARE(void,glTexSubImage1D,(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels))
GLFN_DECLARE(void,glTexSubImage2D,(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels))
GLFN_DECLARE(void,glTranslated,(GLdouble x, GLdouble y, GLdouble z))
GLFN_DECLARE(void,glTranslatef,(GLfloat x, GLfloat y, GLfloat z))
GLFN_DECLARE(void,glVertex2d,(GLdouble x, GLdouble y))
GLFN_DECLARE(void,glVertex2dv,(const GLdouble *v))
GLFN_DECLARE(void,glVertex2f,(GLfloat x, GLfloat y))
GLFN_DECLARE(void,glVertex2fv,(const GLfloat *v))
GLFN_DECLARE(void,glVertex2i,(GLint x, GLint y))
GLFN_DECLARE(void,glVertex2iv,(const GLint *v))
GLFN_DECLARE(void,glVertex2s,(GLshort x, GLshort y))
GLFN_DECLARE(void,glVertex2sv,(const GLshort *v))
GLFN_DECLARE(void,glVertex3d,(GLdouble x, GLdouble y, GLdouble z))
GLFN_DECLARE(void,glVertex3dv,(const GLdouble *v))
GLFN_DECLARE(void,glVertex3f,(GLfloat x, GLfloat y, GLfloat z))
GLFN_DECLARE(void,glVertex3fv,(const GLfloat *v))
GLFN_DECLARE(void,glVertex3i,(GLint x, GLint y, GLint z))
GLFN_DECLARE(void,glVertex3iv,(const GLint *v))
GLFN_DECLARE(void,glVertex3s,(GLshort x, GLshort y, GLshort z))
GLFN_DECLARE(void,glVertex3sv,(const GLshort *v))
GLFN_DECLARE(void,glVertex4d,(GLdouble x, GLdouble y, GLdouble z, GLdouble w))
GLFN_DECLARE(void,glVertex4dv,(const GLdouble *v))
GLFN_DECLARE(void,glVertex4f,(GLfloat x, GLfloat y, GLfloat z, GLfloat w))
GLFN_DECLARE(void,glVertex4fv,(const GLfloat *v))
GLFN_DECLARE(void,glVertex4i,(GLint x, GLint y, GLint z, GLint w))
GLFN_DECLARE(void,glVertex4iv,(const GLint *v))
GLFN_DECLARE(void,glVertex4s,(GLshort x, GLshort y, GLshort z, GLshort w))
GLFN_DECLARE(void,glVertex4sv,(const GLshort *v))
GLFN_DECLARE(void,glVertexPointer,(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer))
GLFN_DECLARE(void,glViewport,(GLint x, GLint y, GLsizei width, GLsizei height))

GLFN_DECLARE(void,glActiveTexture,(GLenum))
GLFN_DECLARE(void,glClientActiveTexture,(GLenum))
GLFN_DECLARE(void,glMultiTexCoord2f,(GLenum, GLfloat, GLfloat))
GLFN_DECLARE(void,glMultiTexCoord2fv,(GLenum, const GLfloat *))
GLFN_DECLARE(void,glMultiTexCoord2i,(GLenum, GLint, GLint))
GLFN_DECLARE(void,glMultiTexCoord2iv,(GLenum, const GLint *))


#define GPA(name) SDL_GL_GetProcAddress(name)

/*
==============
GL_LoadLibrary

Load the OpenGL library and import function pointers
==============
*/
static void GL_LoadLibrary(void)
{
#ifdef _WIN32
	char *dllname = "opengl32.dll";
#else
	char *dllname = "libGL.so.1";
#endif

	if (SDL_GL_LoadLibrary(dllname) < 0)
		throw LError("Failed to load %s: %s", dllname, SDL_GetError());

	GLFN_GPA(glAccum);
	GLFN_GPA(glAlphaFunc);
	GLFN_GPA(glAreTexturesResident);
	GLFN_GPA(glArrayElement);
	GLFN_GPA(glBegin);
	GLFN_GPA(glBindTexture);
	GLFN_GPA(glBitmap);
	GLFN_GPA(glBlendFunc);
	GLFN_GPA(glCallList);
	GLFN_GPA(glCallLists);
	GLFN_GPA(glClear);
	GLFN_GPA(glClearAccum);
	GLFN_GPA(glClearColor);
	GLFN_GPA(glClearDepth);
	GLFN_GPA(glClearIndex);
	GLFN_GPA(glClearStencil);
	GLFN_GPA(glClipPlane);
	GLFN_GPA(glColor3b);
	GLFN_GPA(glColor3bv);
	GLFN_GPA(glColor3d);
	GLFN_GPA(glColor3dv);
	GLFN_GPA(glColor3f);
	GLFN_GPA(glColor3fv);
	GLFN_GPA(glColor3i);
	GLFN_GPA(glColor3iv);
	GLFN_GPA(glColor3s);
	GLFN_GPA(glColor3sv);
	GLFN_GPA(glColor3ub);
	GLFN_GPA(glColor3ubv);
	GLFN_GPA(glColor3ui);
	GLFN_GPA(glColor3uiv);
	GLFN_GPA(glColor3us);
	GLFN_GPA(glColor3usv);
	GLFN_GPA(glColor4b);
	GLFN_GPA(glColor4bv);
	GLFN_GPA(glColor4d);
	GLFN_GPA(glColor4dv);
	GLFN_GPA(glColor4f);
	GLFN_GPA(glColor4fv);
	GLFN_GPA(glColor4i);
	GLFN_GPA(glColor4iv);
	GLFN_GPA(glColor4s);
	GLFN_GPA(glColor4sv);
	GLFN_GPA(glColor4ub);
	GLFN_GPA(glColor4ubv);
	GLFN_GPA(glColor4ui);
	GLFN_GPA(glColor4uiv);
	GLFN_GPA(glColor4us);
	GLFN_GPA(glColor4usv);
	GLFN_GPA(glColorMask);
	GLFN_GPA(glColorMaterial);
	GLFN_GPA(glColorPointer);
	GLFN_GPA(glCopyPixels);
	GLFN_GPA(glCopyTexImage1D);
	GLFN_GPA(glCopyTexImage2D);
	GLFN_GPA(glCopyTexSubImage1D);
	GLFN_GPA(glCopyTexSubImage2D);
	GLFN_GPA(glCullFace);
	GLFN_GPA(glDeleteLists);
	GLFN_GPA(glDeleteTextures);
	GLFN_GPA(glDepthFunc);
	GLFN_GPA(glDepthMask);
	GLFN_GPA(glDepthRange);
	GLFN_GPA(glDisable);
	GLFN_GPA(glDisableClientState);
	GLFN_GPA(glDrawArrays);
	GLFN_GPA(glDrawBuffer);
	GLFN_GPA(glDrawElements);
	GLFN_GPA(glDrawPixels);
	GLFN_GPA(glEdgeFlag);
	GLFN_GPA(glEdgeFlagPointer);
	GLFN_GPA(glEdgeFlagv);
	GLFN_GPA(glEnable);
	GLFN_GPA(glEnableClientState);
	GLFN_GPA(glEnd);
	GLFN_GPA(glEndList);
	GLFN_GPA(glEvalCoord1d);
	GLFN_GPA(glEvalCoord1dv);
	GLFN_GPA(glEvalCoord1f);
	GLFN_GPA(glEvalCoord1fv);
	GLFN_GPA(glEvalCoord2d);
	GLFN_GPA(glEvalCoord2dv);
	GLFN_GPA(glEvalCoord2f);
	GLFN_GPA(glEvalCoord2fv);
	GLFN_GPA(glEvalMesh1);
	GLFN_GPA(glEvalMesh2);
	GLFN_GPA(glEvalPoint1);
	GLFN_GPA(glEvalPoint2);
	GLFN_GPA(glFeedbackBuffer);
	GLFN_GPA(glFinish);
	GLFN_GPA(glFlush);
	GLFN_GPA(glFogf);
	GLFN_GPA(glFogfv);
	GLFN_GPA(glFogi);
	GLFN_GPA(glFogiv);
	GLFN_GPA(glFrontFace);
	GLFN_GPA(glFrustum);
	GLFN_GPA(glGenLists);
	GLFN_GPA(glGenTextures);
	GLFN_GPA(glGetBooleanv);
	GLFN_GPA(glGetClipPlane);
	GLFN_GPA(glGetDoublev);
	GLFN_GPA(glGetError);
	GLFN_GPA(glGetFloatv);
	GLFN_GPA(glGetIntegerv);
	GLFN_GPA(glGetLightfv);
	GLFN_GPA(glGetLightiv);
	GLFN_GPA(glGetMapdv);
	GLFN_GPA(glGetMapfv);
	GLFN_GPA(glGetMapiv);
	GLFN_GPA(glGetMaterialfv);
	GLFN_GPA(glGetMaterialiv);
	GLFN_GPA(glGetPixelMapfv);
	GLFN_GPA(glGetPixelMapuiv);
	GLFN_GPA(glGetPixelMapusv);
	GLFN_GPA(glGetPointerv);
	GLFN_GPA(glGetPolygonStipple);
	GLFN_GPA(glGetString);
	GLFN_GPA(glGetTexEnvfv);
	GLFN_GPA(glGetTexEnviv);
	GLFN_GPA(glGetTexGendv);
	GLFN_GPA(glGetTexGenfv);
	GLFN_GPA(glGetTexGeniv);
	GLFN_GPA(glGetTexImage);
	GLFN_GPA(glGetTexLevelParameterfv);
	GLFN_GPA(glGetTexLevelParameteriv);
	GLFN_GPA(glGetTexParameterfv);
	GLFN_GPA(glGetTexParameteriv);
	GLFN_GPA(glHint);
	GLFN_GPA(glIndexMask);
	GLFN_GPA(glIndexPointer);
	GLFN_GPA(glIndexd);
	GLFN_GPA(glIndexdv);
	GLFN_GPA(glIndexf);
	GLFN_GPA(glIndexfv);
	GLFN_GPA(glIndexi);
	GLFN_GPA(glIndexiv);
	GLFN_GPA(glIndexs);
	GLFN_GPA(glIndexsv);
	GLFN_GPA(glIndexub);
	GLFN_GPA(glIndexubv);
	GLFN_GPA(glInitNames);
	GLFN_GPA(glInterleavedArrays);
	GLFN_GPA(glIsEnabled);
	GLFN_GPA(glIsList);
	GLFN_GPA(glIsTexture);
	GLFN_GPA(glLightModelf);
	GLFN_GPA(glLightModelfv);
	GLFN_GPA(glLightModeli);
	GLFN_GPA(glLightModeliv);
	GLFN_GPA(glLightf);
	GLFN_GPA(glLightfv);
	GLFN_GPA(glLighti);
	GLFN_GPA(glLightiv);
	GLFN_GPA(glLineStipple);
	GLFN_GPA(glLineWidth);
	GLFN_GPA(glListBase);
	GLFN_GPA(glLoadIdentity);
	GLFN_GPA(glLoadMatrixd);
	GLFN_GPA(glLoadMatrixf);
	GLFN_GPA(glLoadName);
	GLFN_GPA(glLogicOp);
	GLFN_GPA(glMap1d);
	GLFN_GPA(glMap1f);
	GLFN_GPA(glMap2d);
	GLFN_GPA(glMap2f);
	GLFN_GPA(glMapGrid1d);
	GLFN_GPA(glMapGrid1f);
	GLFN_GPA(glMapGrid2d);
	GLFN_GPA(glMapGrid2f);
	GLFN_GPA(glMaterialf);
	GLFN_GPA(glMaterialfv);
	GLFN_GPA(glMateriali);
	GLFN_GPA(glMaterialiv);
	GLFN_GPA(glMatrixMode);
	GLFN_GPA(glMultMatrixd);
	GLFN_GPA(glMultMatrixf);
	GLFN_GPA(glNewList);
	GLFN_GPA(glNormal3b);
	GLFN_GPA(glNormal3bv);
	GLFN_GPA(glNormal3d);
	GLFN_GPA(glNormal3dv);
	GLFN_GPA(glNormal3f);
	GLFN_GPA(glNormal3fv);
	GLFN_GPA(glNormal3i);
	GLFN_GPA(glNormal3iv);
	GLFN_GPA(glNormal3s);
	GLFN_GPA(glNormal3sv);
	GLFN_GPA(glNormalPointer);
	GLFN_GPA(glOrtho);
	GLFN_GPA(glPassThrough);
	GLFN_GPA(glPixelMapfv);
	GLFN_GPA(glPixelMapuiv);
	GLFN_GPA(glPixelMapusv);
	GLFN_GPA(glPixelStoref);
	GLFN_GPA(glPixelStorei);
	GLFN_GPA(glPixelTransferf);
	GLFN_GPA(glPixelTransferi);
	GLFN_GPA(glPixelZoom);
	GLFN_GPA(glPointSize);
	GLFN_GPA(glPolygonMode);
	GLFN_GPA(glPolygonOffset);
	GLFN_GPA(glPolygonStipple);
	GLFN_GPA(glPopAttrib);
	GLFN_GPA(glPopClientAttrib);
	GLFN_GPA(glPopMatrix);
	GLFN_GPA(glPopName);
	GLFN_GPA(glPrioritizeTextures);
	GLFN_GPA(glPushAttrib);
	GLFN_GPA(glPushClientAttrib);
	GLFN_GPA(glPushMatrix);
	GLFN_GPA(glPushName);
	GLFN_GPA(glRasterPos2d);
	GLFN_GPA(glRasterPos2dv);
	GLFN_GPA(glRasterPos2f);
	GLFN_GPA(glRasterPos2fv);
	GLFN_GPA(glRasterPos2i);
	GLFN_GPA(glRasterPos2iv);
	GLFN_GPA(glRasterPos2s);
	GLFN_GPA(glRasterPos2sv);
	GLFN_GPA(glRasterPos3d);
	GLFN_GPA(glRasterPos3dv);
	GLFN_GPA(glRasterPos3f);
	GLFN_GPA(glRasterPos3fv);
	GLFN_GPA(glRasterPos3i);
	GLFN_GPA(glRasterPos3iv);
	GLFN_GPA(glRasterPos3s);
	GLFN_GPA(glRasterPos3sv);
	GLFN_GPA(glRasterPos4d);
	GLFN_GPA(glRasterPos4dv);
	GLFN_GPA(glRasterPos4f);
	GLFN_GPA(glRasterPos4fv);
	GLFN_GPA(glRasterPos4i);
	GLFN_GPA(glRasterPos4iv);
	GLFN_GPA(glRasterPos4s);
	GLFN_GPA(glRasterPos4sv);
	GLFN_GPA(glReadBuffer);
	GLFN_GPA(glReadPixels);
	GLFN_GPA(glRectd);
	GLFN_GPA(glRectdv);
	GLFN_GPA(glRectf);
	GLFN_GPA(glRectfv);
	GLFN_GPA(glRecti);
	GLFN_GPA(glRectiv);
	GLFN_GPA(glRects);
	GLFN_GPA(glRectsv);
	GLFN_GPA(glRenderMode);
	GLFN_GPA(glRotated);
	GLFN_GPA(glRotatef);
	GLFN_GPA(glScaled);
	GLFN_GPA(glScalef);
	GLFN_GPA(glScissor);
	GLFN_GPA(glSelectBuffer);
	GLFN_GPA(glShadeModel);
	GLFN_GPA(glStencilFunc);
	GLFN_GPA(glStencilMask);
	GLFN_GPA(glStencilOp);
	GLFN_GPA(glTexCoord1d);
	GLFN_GPA(glTexCoord1dv);
	GLFN_GPA(glTexCoord1f);
	GLFN_GPA(glTexCoord1fv);
	GLFN_GPA(glTexCoord1i);
	GLFN_GPA(glTexCoord1iv);
	GLFN_GPA(glTexCoord1s);
	GLFN_GPA(glTexCoord1sv);
	GLFN_GPA(glTexCoord2d);
	GLFN_GPA(glTexCoord2dv);
	GLFN_GPA(glTexCoord2f);
	GLFN_GPA(glTexCoord2fv);
	GLFN_GPA(glTexCoord2i);
	GLFN_GPA(glTexCoord2iv);
	GLFN_GPA(glTexCoord2s);
	GLFN_GPA(glTexCoord2sv);
	GLFN_GPA(glTexCoord3d);
	GLFN_GPA(glTexCoord3dv);
	GLFN_GPA(glTexCoord3f);
	GLFN_GPA(glTexCoord3fv);
	GLFN_GPA(glTexCoord3i);
	GLFN_GPA(glTexCoord3iv);
	GLFN_GPA(glTexCoord3s);
	GLFN_GPA(glTexCoord3sv);
	GLFN_GPA(glTexCoord4d);
	GLFN_GPA(glTexCoord4dv);
	GLFN_GPA(glTexCoord4f);
	GLFN_GPA(glTexCoord4fv);
	GLFN_GPA(glTexCoord4i);
	GLFN_GPA(glTexCoord4iv);
	GLFN_GPA(glTexCoord4s);
	GLFN_GPA(glTexCoord4sv);
	GLFN_GPA(glTexCoordPointer);
	GLFN_GPA(glTexEnvf);
	GLFN_GPA(glTexEnvfv);
	GLFN_GPA(glTexEnvi);
	GLFN_GPA(glTexEnviv);
	GLFN_GPA(glTexGend);
	GLFN_GPA(glTexGendv);
	GLFN_GPA(glTexGenf);
	GLFN_GPA(glTexGenfv);
	GLFN_GPA(glTexGeni);
	GLFN_GPA(glTexGeniv);
	GLFN_GPA(glTexImage1D);
	GLFN_GPA(glTexImage2D);
	GLFN_GPA(glTexParameterf);
	GLFN_GPA(glTexParameterfv);
	GLFN_GPA(glTexParameteri);
	GLFN_GPA(glTexParameteriv);
	GLFN_GPA(glTexSubImage1D);
	GLFN_GPA(glTexSubImage2D);
	GLFN_GPA(glTranslated);
	GLFN_GPA(glTranslatef);
	GLFN_GPA(glVertex2d);
	GLFN_GPA(glVertex2dv);
	GLFN_GPA(glVertex2f);
	GLFN_GPA(glVertex2fv);
	GLFN_GPA(glVertex2i);
	GLFN_GPA(glVertex2iv);
	GLFN_GPA(glVertex2s);
	GLFN_GPA(glVertex2sv);
	GLFN_GPA(glVertex3d);
	GLFN_GPA(glVertex3dv);
	GLFN_GPA(glVertex3f);
	GLFN_GPA(glVertex3fv);
	GLFN_GPA(glVertex3i);
	GLFN_GPA(glVertex3iv);
	GLFN_GPA(glVertex3s);
	GLFN_GPA(glVertex3sv);
	GLFN_GPA(glVertex4d);
	GLFN_GPA(glVertex4dv);
	GLFN_GPA(glVertex4f);
	GLFN_GPA(glVertex4fv);
	GLFN_GPA(glVertex4i);
	GLFN_GPA(glVertex4iv);
	GLFN_GPA(glVertex4s);
	GLFN_GPA(glVertex4sv);
	GLFN_GPA(glVertexPointer);
	GLFN_GPA(glViewport);
}


/*
==============
GL_PostLoadLibrary

Looks like post-1.0 GL functions are only available after video
mode has been initialized, at least on Windows.
==============
*/
static void GL_PostLoadLibrary(void)
{
	GLFN_GPA(glActiveTexture);
	GLFN_GPA(glClientActiveTexture);
	GLFN_GPA(glMultiTexCoord2f);
	GLFN_GPA(glMultiTexCoord2fv);
	GLFN_GPA(glMultiTexCoord2i);
	GLFN_GPA(glMultiTexCoord2iv);
}


