/*
Copyright (c) 2002 Nicolai Haehnle

See the license.txt for details. If that file was not included in the
source distributions, please email <prefect@rtts.org>
*/
// gui_grid.h

#ifndef GUI_GRID_H
#define GUI_GRID_H

#include "gui_panel.h"

/*
Arrange child panels horizontally and or vertically
*/

class GGrid : public GPanel {
public:
	GGrid(GPanel *pParent, int x, int y, int w, int h, bool bOverlap = false);

	void Arrange(bool horiz, bool vert);
};

#endif // GUI_GRID_H
