/*
Copyright (c) 2002 Nicolai Haehnle

See the license.txt for details. If that file was not included in the
source distributions, please email <prefect@rtts.org>
*/
// lib_console.cpp - the game console code

#include "library.h"



/*
==============
L_Printf

Works just like printf, but for the game's console
==============
*/
void L_Printf(const char *fmt, ...)
{
	va_list va;

	va_start(va, fmt);
	vprintf(fmt, va);
	va_end(va);

#ifdef DEBUG
	fflush(stdout);
#endif
}

